# Created by pyp2rpm-3.3.2
%global pypi_name pycares

%bcond_without doc

Name:           python-%{pypi_name}
Version:        4.2.2
Release:        %mkrel 1
Summary:        Python interface for c-ares
Group:          Development/Python
License:        None
URL:            https://github.com/saghul/pycares
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cffi)

%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif

%description
pycares is a Python module which provides an interface to c-ares.
c-aresis a C library that performs DNS requests and name resolutions
asynchronously.

%package -n     python3-%{pypi_name}
Summary:        Python 3 interface for c-ares
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycares is a Python 3 module which provides an interface to c-ares.
c-aresis a C library that performs DNS requests and name resolutions
asynchronously.

%package -n python-%{pypi_name}-doc
Summary:        pycares documentation

%description -n python-%{pypi_name}-doc
Documentation for pycares.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf src/%{pypi_name}.egg-info

%build
%py3_build

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%if %{with doc}
%doc html
%endif
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Oct 02 2022 neoclust <neoclust> 4.2.2-1.mga9
+ Revision: 1894001
- New version 4.2.2

* Tue Mar 29 2022 umeabot <umeabot> 4.1.2-2.mga9
+ Revision: 1832596
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 4.1.2-1.mga9
+ Revision: 1772924
- new version 4.1.2
- rebuild for python3.10

* Thu Jun 17 2021 joequant <joequant> 4.0.0-1.mga9
+ Revision: 1731018
- update to 4.0.0

* Sun Mar 21 2021 daviddavid <daviddavid> 3.1.1-2.mga9
+ Revision: 1707044
- rebuild for python 3.9

* Sat Feb 29 2020 wally <wally> 3.1.1-1.mga8
+ Revision: 1552115
- new version 3.1.1

* Sun Feb 16 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1532267
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 3.0.0-2.mga8
+ Revision: 1442282
- rebuild for python3.8
- drop python2 support

* Thu Aug 29 2019 wally <wally> 3.0.0-1.mga8
+ Revision: 1435120
- new version 3.0.0

* Mon Jan 07 2019 wally <wally> 2.4.0-1.mga7
+ Revision: 1350909
- imported package python-pycares

